Vulnerability Note VU#163188
Pearson eSIS Enterprise Student Information System XSS vulnerability
Original Release date: 01 Apr 2014 | Last revised: 01 Apr 2014

Overview
Pearson eSIS Enterprise Student Information System contains a XSS vulnerability.

Description
CWE-79: Improper Neutralization of Input During Web Page Generation (‘Cross-site Scripting’)
Pearson eSIS Enterprise Student Information System contains a reflected cross-site scripting vulnerability in the /aal/loginverification.aspx page. An attacker is able to load arbitrary script in the context of the user’s browser through the data passed to the website.

Impact
A remote unauthenticated attacker may be able to execute arbitrary script in the context of the end-user’s browser session.

Solution
We are currently unaware of a practical solution to this problem.
Restrict access

As a general good security practice, only allow connections from trusted hosts and networks. Note that restricting access does not prevent XSS attacks since the attack comes as an HTTP request from a legitimate user’s host. Restricting access would prevent an attacker from accessing the interface using stolen credentials from a blocked network location.

Do not follow unsolicited links

Do not click on unsolicited URLs received in email, instant messages, web forums, or internet relay chat (IRC) channels. While this is generally good security practice, following this behavior will not prevent exploitation of this vulnerability in all cases, particularly if a trusted site has been compromised or allows cross-site scripting.

Vendor Information (Learn More)

VendorStatusDate NotifiedDate UpdatedPearson EducationAffected-28 Mar 2014If you are a vendor and your product is affected, let
us know.

CVSS Metrics (Learn More)

Group
Score
Vector

Base
4.3
AV:N/AC:M/Au:N/C:P/I:N/A:N

Temporal
3.3
E:U/RL:U/RC:UC

Environmental
1.0
CDP:L/TD:L/CR:ND/IR:ND/AR:ND

References

http://www.pearsonschoolsystems.com/products/esis/

Credit

Thanks to Ali Hussein of help AG middle east for reporting this vulnerability.
This document was written by Michael Orlando.

Other Information

CVE IDs:
CVE-2014-1942

Date Public:
03 Apr 2014

Date First Published:
01 Apr 2014

Date Last Updated:
01 Apr 2014

Document Revision:
9

FeedbackIf you have feedback, comments, or additional information about this vulnerability, please send us email.

Leave a Reply